# Generated by Django 4.2.13 on 2024-08-21 17:03

from django.db import migrations, models
import django.db.models.deletion
import upload_batches.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('locutors', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='UploadBatch',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_qid', models.CharField(max_length=32)),
                ('created_time', models.DateTimeField(auto_now_add=True)),
                ('started_time', models.DateTimeField(blank=True, null=True)),
                ('finished_time', models.DateTimeField(blank=True, null=True)),
                ('locutor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='upload_batches', to='locutors.locutor')),
            ],
        ),
        migrations.CreateModel(
            name='Recording',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to=upload_batches.models.Recording.get_batch_path)),
                ('transcription', models.TextField()),
                ('state', models.CharField(choices=[('pending', 'Pending'), ('uploading', 'Uploading'), ('uploaded', 'Uploaded')], default='pending', max_length=16)),
                ('batch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='recordings', to='upload_batches.uploadbatch')),
            ],
        ),
    ]
